package pwc.taxtech.atms.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class AtmsApiSettings {

    @Value("${web.url}")
    private String webUrl;
    
    @Value("${jwt.base64Secret}")
    private String jwtBase64Secret;

    @Value("${jwt.powerToken}")
    private String jwtPowerToken;

    public String getWebUrl() {
        return webUrl;
    }

    public void setWebUrl(String webUrl) {
        this.webUrl = webUrl;
    }

    public String getJwtBase64Secret() {
        return jwtBase64Secret;
    }

    public void setJwtBase64Secret(String jwtBase64Secret) {
        this.jwtBase64Secret = jwtBase64Secret;
    }

    public String getJwtPowerToken() {
        return jwtPowerToken;
    }

    public void setJwtPowerToken(String jwtPowerToken) {
        this.jwtPowerToken = jwtPowerToken;
    }
}
