package pwc.taxtech.atms.common;

import com.github.pagehelper.PageInfo;
import lombok.Data;

import java.util.List;

/**
 * TODO
 *
 * @Description :
 */
@Data
public class PageResultVo<T> {
    private Integer pageNo;
    private Integer pageSize;
    private Long total;

    private List<T> list;

    public static <T> PageResultVo getPageResultVo(PageInfo pageInfo, List<T> list) {
        PageResultVo<T> resultVo = new PageResultVo<>();
        resultVo.setPageSize(pageInfo.getPageSize());
        resultVo.setPageNo(pageInfo.getPageNum());
        resultVo.setTotal(pageInfo.getTotal());
        resultVo.setList(list);
        return resultVo;
    }

}
