package pwc.taxtech.atms.dao;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.entity.Project;
import pwc.taxtech.atms.entity.ProjectExample;

@Service
public class ProjectDao {
    @Autowired
    ProjectMapper projectMapper;

    public String getDbNameWithYearAndOrgId(String orgId,int year){
        ProjectExample example = new ProjectExample();
        example.createCriteria().andOrganizationIdEqualTo(orgId).andYearEqualTo(year);
        Project project = projectMapper.selectByExample(example).get(0);
        String dbName = StringUtils.EMPTY;
        if (project != null) {
            dbName = project.getDbName();
        }
        return dbName;
    }
}
