package pwc.taxtech.atms.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.common.util.PwCIdSerialize;
import pwc.taxtech.atms.constant.enums.RoleSource;

public class NameDto {

    @JsonProperty("ID")
    @JsonSerialize(using = PwCIdSerialize.class)
    private Long id;

    private String name;

    private RoleSource RoleSource;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
