package pwc.taxtech.atms.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.common.util.PwCIdSerialize;

import java.util.Date;
import java.util.List;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\TemplateGroupDto.cs
 */
public class TemplateGroupDto {

    @JsonSerialize(using = PwCIdSerialize.class)
    private Long id;
    private String name;
    private String serviceTypeId;
    private Date updateTime;
    private Date createTime;
    private String copyFrom;
    private String industryIds;
    private Integer payTaxType;
    private Integer reportType;
    private Integer groupType;
    private Boolean isSystemType;
    private List<TemplateFormulaDto> changedFormulas;
    private List<String> sheetNameList;


    public Integer getReportType() {
        return reportType;
    }

    public void setReportType(Integer reportType) {
        this.reportType = reportType;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getServiceTypeId() {
        return serviceTypeId;
    }

    public void setServiceTypeId(String serviceTypeId) {
        this.serviceTypeId = serviceTypeId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCopyFrom() {
        return copyFrom;
    }

    public void setCopyFrom(String copyFrom) {
        this.copyFrom = copyFrom;
    }

    public String getIndustryIds() {
        return industryIds;
    }

    public void setIndustryIds(String industryIds) {
        this.industryIds = industryIds;
    }

    public Integer getPayTaxType() {
        return payTaxType;
    }

    public void setPayTaxType(Integer payTaxType) {
        this.payTaxType = payTaxType;
    }

    public Integer getGroupType() {
        return groupType;
    }

    public void setGroupType(Integer groupType) {
        this.groupType = groupType;
    }

    public Boolean getIsSystemType() {
        return isSystemType;
    }

    public void setIsSystemType(Boolean isSystemType) {
        this.isSystemType = isSystemType;
    }

    public List<TemplateFormulaDto> getChangedFormulas() {
        return changedFormulas;
    }

    public void setChangedFormulas(List<TemplateFormulaDto> changedFormulas) {
        this.changedFormulas = changedFormulas;
    }

    public List<String> getSheetNameList() {
        return sheetNameList;
    }

    public void setSheetNameList(List<String> sheetNameList) {
        this.sheetNameList = sheetNameList;
    }

}
