package pwc.taxtech.atms.dto.billDetail;

import pwc.taxtech.atms.dto.input.CamelPagingDto;

import java.io.Serializable;
import java.math.BigDecimal;

public class BillDetailParam implements Serializable {

    private static final long serialVersionUID = 3854050681366543422L;

    private CamelPagingDto pageInfo;

    private String billType;

    private String customer;

    private String billContent;

    private String billDate;

    private Long revenueCofId;

    private String department;

    private BigDecimal billTaxRat;

    private String billNumber;

    private String projectId;

    private Integer period;

    private String queryDate;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Integer getPeriod() {
        return period;
    }

    public void setPeriod(Integer period) {
        this.period = period;
    }

    public String getQueryDate() {
        return queryDate;
    }

    public void setQueryDate(String queryDate) {
        this.queryDate = queryDate;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public Long getRevenueCofId() {
        return revenueCofId;
    }

    public void setRevenueCofId(Long revenueCofId) {
        this.revenueCofId = revenueCofId;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getBillContent() {
        return billContent;
    }

    public void setBillContent(String billContent) {
        this.billContent = billContent;
    }

    public String getBillDate() {
        return billDate;
    }

    public void setBillDate(String billDate) {
        this.billDate = billDate;
    }


    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public BigDecimal getBillTaxRat() {
        return billTaxRat;
    }

    public void setBillTaxRat(BigDecimal billTaxRat) {
        this.billTaxRat = billTaxRat;
    }

    public String getBillNumber() {
        return billNumber;
    }

    public void setBillNumber(String billNumber) {
        this.billNumber = billNumber;
    }

    public  CamelPagingDto getPageInfo() {
        return this.pageInfo;
    }

    public void setPageInfo(CamelPagingDto pageInfo) {
        this.pageInfo = pageInfo;
    }
}
