package pwc.taxtech.atms.dto.export;

import pwc.taxtech.atms.entity.CitEAMAssetsDisposal;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.InputStream;
import java.util.List;

public class ExportDto<T> {
    private HttpServletResponse response = null;
    private ServletOutputStream outputStream;
    private List<T> list;
    private Object relation;
    private String templateUrl;
    private String fileName;

    public HttpServletResponse getResponse() {
        return response;
    }

    public void setResponse(HttpServletResponse response) {
        this.response = response;
    }

    public ServletOutputStream getOutputStream() {
        return outputStream;
    }

    public void setOutputStream(ServletOutputStream outputStream) {
        this.outputStream = outputStream;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }


    public Object getRelation() {
        return relation;
    }

    public void setRelation(Object relation) {
        this.relation = relation;
    }

    public String getTemplateUrl() {
        return templateUrl;
    }

    public void setTemplateUrl(String templateUrl) {
        this.templateUrl = templateUrl;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    @Override
    public String toString() {
        return "ExportDto{" +
                "response=" + response +
                ", outputStream=" + outputStream +
                ", list=" + list +
                ", relation=" + relation +
                ", templateUrl='" + templateUrl + '\'' +
                ", fileName='" + fileName + '\'' +
                '}';
    }
}
