package pwc.taxtech.atms.dto.organization;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\OrganizationDto.cs
 */
public class DimensionRoleDto {
    @JsonProperty("dimensionID")
    private String dimensionId;
    private String dimensionName;
    @JsonProperty("dimensionValueID")
    private String dimensionValueId;
    private String dimensionValueName;
    private Boolean isAccessible;
    private Boolean hasOriginalRole;
    private List<SimpleRoleDto> roleList;

    public String getDimensionId() {
        return dimensionId;
    }

    public void setDimensionId(String dimensionId) {
        this.dimensionId = dimensionId;
    }

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public String getDimensionValueId() {
        return dimensionValueId;
    }

    public void setDimensionValueId(String dimensionValueId) {
        this.dimensionValueId = dimensionValueId;
    }

    public String getDimensionValueName() {
        return dimensionValueName;
    }

    public void setDimensionValueName(String dimensionValueName) {
        this.dimensionValueName = dimensionValueName;
    }

    public Boolean getIsAccessible() {
        return isAccessible;
    }

    public void setIsAccessible(Boolean isAccessible) {
        this.isAccessible = isAccessible;
    }

    public Boolean getHasOriginalRole() {
        return hasOriginalRole;
    }

    public void setHasOriginalRole(Boolean hasOriginalRole) {
        this.hasOriginalRole = hasOriginalRole;
    }

    public List<SimpleRoleDto> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<SimpleRoleDto> roleList) {
        this.roleList = roleList;
    }

}
