package pwc.taxtech.atms.dto.role;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.dto.permission.PermissionDto;

import java.util.ArrayList;
import java.util.List;

public class RolePermissionDto {

    @JsonProperty("roleID")
    private String roleId;
    private String roleName;

    private List<PermissionDto> permissionList = new ArrayList<>();

    /**
     * @return the roleId
     */
    public String getRoleId() {
        return roleId;
    }

    /**
     * @param roleId the roleId to set
     */
    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    /**
     * @return the roleName
     */
    public String getRoleName() {
        return roleName;
    }

    /**
     * @param roleName the roleName to set
     */
    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    /**
     * @return the permissionList
     */
    public List<PermissionDto> getPermissionList() {
        return permissionList;
    }

    /**
     * @param permissionList the permissionList to set
     */
    public void setPermissionList(List<PermissionDto> permissionList) {
        this.permissionList = permissionList;
    }


}
