package pwc.taxtech.atms.dto.vatdto;

import javax.annotation.Nullable;
import java.math.BigDecimal;

public class TrialBalanceFilter {
    private String accountCode;
    private String accountName;
    @Nullable
    private BigDecimal debitOpeningBalanceFrom;
    @Nullable
    private BigDecimal debitOpeningBalanceTo;
    @Nullable
    private BigDecimal creditOpeningBalanceFrom;
    @Nullable
    private BigDecimal creditOpeningBalanceTo;
    @Nullable
    private BigDecimal accumulatedDebitAmountFrom;
    @Nullable
    private BigDecimal accumulatedDebitAmountTo;
    @Nullable
    private BigDecimal accumulatedCreditAmountFrom;
    @Nullable
    private BigDecimal accumulatedCreditAmountTo;
    @Nullable
    private BigDecimal debitClosingBalanceFrom;
    @Nullable
    private BigDecimal debitClosingBalanceTo;
    @Nullable
    private BigDecimal creditClosingBalanceFrom;
    @Nullable
    private BigDecimal creditClosingBalanceTo;
    @Nullable
    private Boolean hideAllZeroRecords;

    public String getAccountCode() {
        return accountCode;
    }

    public void setAccountCode(String accountCode) {
        this.accountCode = accountCode;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    @Nullable
    public BigDecimal getDebitOpeningBalanceFrom() {
        return debitOpeningBalanceFrom;
    }

    public void setDebitOpeningBalanceFrom(@Nullable BigDecimal debitOpeningBalanceFrom) {
        this.debitOpeningBalanceFrom = debitOpeningBalanceFrom;
    }

    @Nullable
    public BigDecimal getDebitOpeningBalanceTo() {
        return debitOpeningBalanceTo;
    }

    public void setDebitOpeningBalanceTo(@Nullable BigDecimal debitOpeningBalanceTo) {
        this.debitOpeningBalanceTo = debitOpeningBalanceTo;
    }

    @Nullable
    public BigDecimal getCreditOpeningBalanceFrom() {
        return creditOpeningBalanceFrom;
    }

    public void setCreditOpeningBalanceFrom(@Nullable BigDecimal creditOpeningBalanceFrom) {
        this.creditOpeningBalanceFrom = creditOpeningBalanceFrom;
    }

    @Nullable
    public BigDecimal getCreditOpeningBalanceTo() {
        return creditOpeningBalanceTo;
    }

    public void setCreditOpeningBalanceTo(@Nullable BigDecimal creditOpeningBalanceTo) {
        this.creditOpeningBalanceTo = creditOpeningBalanceTo;
    }

    @Nullable
    public BigDecimal getAccumulatedDebitAmountFrom() {
        return accumulatedDebitAmountFrom;
    }

    public void setAccumulatedDebitAmountFrom(@Nullable BigDecimal accumulatedDebitAmountFrom) {
        this.accumulatedDebitAmountFrom = accumulatedDebitAmountFrom;
    }

    @Nullable
    public BigDecimal getAccumulatedDebitAmountTo() {
        return accumulatedDebitAmountTo;
    }

    public void setAccumulatedDebitAmountTo(@Nullable BigDecimal accumulatedDebitAmountTo) {
        this.accumulatedDebitAmountTo = accumulatedDebitAmountTo;
    }

    @Nullable
    public BigDecimal getAccumulatedCreditAmountFrom() {
        return accumulatedCreditAmountFrom;
    }

    public void setAccumulatedCreditAmountFrom(@Nullable BigDecimal accumulatedCreditAmountFrom) {
        this.accumulatedCreditAmountFrom = accumulatedCreditAmountFrom;
    }

    @Nullable
    public BigDecimal getAccumulatedCreditAmountTo() {
        return accumulatedCreditAmountTo;
    }

    public void setAccumulatedCreditAmountTo(@Nullable BigDecimal accumulatedCreditAmountTo) {
        this.accumulatedCreditAmountTo = accumulatedCreditAmountTo;
    }

    @Nullable
    public BigDecimal getDebitClosingBalanceFrom() {
        return debitClosingBalanceFrom;
    }

    public void setDebitClosingBalanceFrom(@Nullable BigDecimal debitClosingBalanceFrom) {
        this.debitClosingBalanceFrom = debitClosingBalanceFrom;
    }

    @Nullable
    public BigDecimal getDebitClosingBalanceTo() {
        return debitClosingBalanceTo;
    }

    public void setDebitClosingBalanceTo(@Nullable BigDecimal debitClosingBalanceTo) {
        this.debitClosingBalanceTo = debitClosingBalanceTo;
    }

    @Nullable
    public BigDecimal getCreditClosingBalanceFrom() {
        return creditClosingBalanceFrom;
    }

    public void setCreditClosingBalanceFrom(@Nullable BigDecimal creditClosingBalanceFrom) {
        this.creditClosingBalanceFrom = creditClosingBalanceFrom;
    }

    @Nullable
    public BigDecimal getCreditClosingBalanceTo() {
        return creditClosingBalanceTo;
    }

    public void setCreditClosingBalanceTo(@Nullable BigDecimal creditClosingBalanceTo) {
        this.creditClosingBalanceTo = creditClosingBalanceTo;
    }

    @Nullable
    public Boolean isHideAllZeroRecords() {
        return hideAllZeroRecords;
    }

    public void setHideAllZeroRecords(@Nullable Boolean hideAllZeroRecords) {
        this.hideAllZeroRecords = hideAllZeroRecords;
    }
}
