package pwc.taxtech.atms.exception;

import org.springframework.http.ResponseEntity;

public abstract class ApiException  extends RuntimeException  {
    public ApiException() {
        super();
    }

    public ApiException(String message) {
        super(message);
    }

    public ApiException(String message, Throwable cause) {
        super(message, cause);
    }

    public ApiException(Throwable cause) {
        super(cause);
    }

    public abstract<Object> ResponseEntity handle();
}
