package pwc.taxtech.atms.exception;

import org.springframework.http.ResponseEntity;

public class NotFoundException extends ApiException {
    public NotFoundException() {
        super();
    }

    public NotFoundException(String message) {
        super(message);
    }

    public NotFoundException(String message, Throwable cause) {
        super(message, cause);
    }

    public NotFoundException(Throwable cause) {
        super(cause);
    }

    @Override
    public <Object> ResponseEntity handle() {
        return ResponseEntity.notFound().build();
    }
}
