package pwc.taxtech.atms.service.impl;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;
import java.util.TimeZone;

public class JxlsUtils {
    public String formatDate(Date date, String pattern) {
        if (null == date)
            return "";
        SimpleDateFormat sdf = new SimpleDateFormat(pattern, Locale.US);
        sdf.setTimeZone(TimeZone.getTimeZone("Asia/Shanghai"));
        try {
            return sdf.format(date);
        } catch (Exception e) {
            return "<Invalid date pattern:" + pattern + ">";
        }
    }
}
