package pwc.taxtech.atms.vat.dao;


import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;
import pwc.taxtech.atms.MyVatMapper;

@Mapper
public interface DataImportMapper extends MyVatMapper {
    @Delete("DELETE FROM ${tbName} WHERE period_id =#{period}")
    Integer deleteByNameAndPeriod(@Param("tbName") String tbName, @Param("period") Integer period);


    @Update("TRUNCATE TABLE ${tbName}")
    Integer truncateByName(@Param("tbName") String tbName);

    @Delete("DELETE FROM ValidationInfo WHERE period_id = #{period} and import_type_id=#{typeId} ")
    void deleteTbValidation(@Param("period") int period, @Param("typeId") Integer typeId);
}
