package pwc.taxtech.atms.vat.dpo;


import pwc.taxtech.atms.dpo.PagingDto;

import java.math.BigDecimal;
import java.util.Date;

public class QueryOutputDto {
    private PagingDto pageInfo;
    private int periodStart;
    private int periodEnd;
    private Integer invoiceType;
    private Date startInvoiceDate;
    private Date endInvoiceDate;
    private String classCode;
    private String invoiceNumber;
    private String buyerName;
    private String productName;
    private BigDecimal amountStart;
    private BigDecimal amountEnd;
    private BigDecimal taxAmountStart;
    private BigDecimal taxAmountEnd;
    private String tag;

    public PagingDto getPageInfo() {
        return pageInfo;
    }

    public void setPageInfo(PagingDto pageInfo) {
        this.pageInfo = pageInfo;
    }

    public int getPeriodStart() {
        return periodStart;
    }

    public void setPeriodStart(int periodStart) {
        this.periodStart = periodStart;
    }

    public int getPeriodEnd() {
        return periodEnd;
    }

    public void setPeriodEnd(int periodEnd) {
        this.periodEnd = periodEnd;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public Date getStartInvoiceDate() {
        return startInvoiceDate;
    }

    public void setStartInvoiceDate(Date startInvoiceDate) {
        this.startInvoiceDate = startInvoiceDate;
    }

    public Date getEndInvoiceDate() {
        return endInvoiceDate;
    }

    public void setEndInvoiceDate(Date endInvoiceDate) {
        this.endInvoiceDate = endInvoiceDate;
    }

    public String getClassCode() {
        return classCode;
    }

    public void setClassCode(String classCode) {
        this.classCode = classCode;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public BigDecimal getAmountStart() {
        return amountStart;
    }

    public void setAmountStart(BigDecimal amountStart) {
        this.amountStart = amountStart;
    }

    public BigDecimal getAmountEnd() {
        return amountEnd;
    }

    public void setAmountEnd(BigDecimal amountEnd) {
        this.amountEnd = amountEnd;
    }

    public BigDecimal getTaxAmountStart() {
        return taxAmountStart;
    }

    public void setTaxAmountStart(BigDecimal taxAmountStart) {
        this.taxAmountStart = taxAmountStart;
    }

    public BigDecimal getTaxAmountEnd() {
        return taxAmountEnd;
    }

    public void setTaxAmountEnd(BigDecimal taxAmountEnd) {
        this.taxAmountEnd = taxAmountEnd;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }
}
