﻿infrastructureModule.directive('docManageView', ['$log',
    function ($log) {
        'use strict';
        $log.debug('landManage.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/admin/infrastructure/docManage/doc-manage.html' + '?_=' + Math.random(),
            scope: {},
            controller: 'docManageController',
            link: function ($scope, $element, $attr) {
                //all validation put here
                $scope.periodOptions = {
                    bindingOptions: {
                        value: "editLand.period"
                    },
                    onKeyPress: function (e) {
                        var event = e.jQueryEvent,
                            str = event.key || String.fromCharCode(event.which);
                        if (/^[\.\,e]$/.test(str))
                            event.preventDefault();
                    },
                };




            }
        };
    }
]);