﻿citModule.directive('citImportDocumentList', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('citImportDocumentList.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/cit/import/cit-import-document-list/cit-import-document-list.html' + '?_=' + Math.random(),
            scope: {
                docTemplateId: '=',
                docId: '=',
                docName: '=',
                docTemplateCode: '=',
                treeTypeCode: '=', //选中左边TreeNode时的文档类型(第二级)
                selectedReportCode: '=', //选中的报表code
                hasDocument: '=',//是否有文档
                docNum: '=' //文档数量
            },
            controller: 'citImportDocumentListController',
            link: function ($scope, $ele, $attr) {
            }
        };
    }
]);