﻿commonModule.
controller('AreaSelectorController', ['$scope', 'areaService','$translate',
    function ($scope, areaService, $translate) {

        $scope.pleaseSelect =  $translate.instant('PleaseSelect') ;

        $scope.init = function () {
            if ($scope.isShowAll) {
                areaService.tree(1).success(function (data) {
                    if (data && data.length > 0) {
                        $scope.areaList = data;
                    }
                });
            }
            else {
                areaService.tree(0).success(function (data) {
                    if (data && data.length > 0) {
                        $scope.areaList = data;
                    }
                });
            }
          
        };


        $scope.selectedArea = null;
        $scope.getSelectedAreaDisplayText = function () {
            if ($scope.selectedAreaId != null) {
                return $scope.selectedAreaName;
            }
            else {
                return '';
            }
        };

        $scope.selectArea = function (area) {
           
            $scope.selectedAreaName = area.name;
            $scope.selectedAreaId = area.ID;
            $scope.componentSelectedArea = area;
            $('.dropdown').removeClass('open');
           // $scope.onChange();
        };


        $scope.$watch('selectedAreaId', function (newValue, oldValue) {
            if (newValue !== oldValue) {
               // $scope.onChange();
            }

            // 强制重新取数据
            if ($scope.componentSelectedArea && $scope.componentSelectedArea.forceRefresh) {
                $scope.init();
            }
        });

        $scope.init();
    }
]);