﻿commonModule.directive('permissionSelector', ['$log',
    function ($log) {
        'use strict';
        $log.debug('permissionSelector.ctor()...');
        return {
            restrict: 'E',
            templateUrl: '/app/common/controls/permission-selector/permission-selector.html' + '?_=' + Math.random(),
            replace: true,
            scope: {
                selectedPermissionCodes: '=',
                selectedPermissionNames: '='
            },
            controller: 'permissionSelectorController',
            link: function (scope, element) {

                // in dialog
                element.find('.selector-input').on('click', function () {
                    element.find('.menu-tree-container').show();
                });

                $(document).on('click', function () {
                    element.find('.menu-tree-container').hide();
                }).on('click', '.permission-selector-wrapper', function (e) {
                    e.stopPropagation();
                });
            }
        };
    }
]);