﻿commonModule.factory('modalAdapterService', [function () {
    var modals = []; // array of modals on the page
    var service = {};

    service.add = Add;
    service.remove = Remove;
    service.open = Open;
    service.close = Close;

    return service;

    function Add(modal) {
        var find = _.findWhere(modals, { id: modal.id, parentID: modal.parent });
        if (find) return;
        // add modal to array of active modals
        modals.push(modal);
    };

    function Remove(id,parent) {
        // remove modal from array of active modals
        var modalToRemove = _.findWhere(modals, { id: id,parentID:parent });
        modals = _.without(modals, modalToRemove);
    };
    function RemoveSpecific(modalToRemove) {
        // remove modal from array of active modals       
        modals = _.without(modals, modalToRemove);
    };
    function Open(id,parent) {
        // open modal specified by id
        var modal = _.findWhere(modals, { id: id,parentID:parent });
        modal.open();
    };

    function Close(id,parent) {
        // close modal specified by id
        var modal = _.findWhere(modals, { id: id ,parentID:parent});       
        modal.cancel();
        
    };
}]);