﻿// web service proxy for role
webservices.factory('assetGroupService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        getAllAssetDetailGroup: function () {
            debugger;
            return $http.get('/asset/getAllAssetDetailGroup', apiConfig.create());
        },
        getAllFixedAssetDetailGroup: function (assetGroupType,pageIndex,pageSize) {
            debugger;
            return $http.post('/asset/getFixedAssetDetailGroup',{"assetGroupType":assetGroupType,"pageIndex":pageIndex,"pageSize":pageSize}, apiConfig.create());
        },
        addAssetDetailGroup:function (assetDetailGroupDto) {
            debugger;
            return $http.post('/asset/addAssetDetailGroup',assetDetailGroupDto, apiConfig.create());
        },
        updateAssetDetailGroup:function (assetDetailGroupDto) {
            debugger;
            return $http.post('/asset/editAssetDetailGroup', assetDetailGroupDto, apiConfig.create());
        },
        deleteAssetDetailGroup:function (id) {
            debugger;
            return $http.delete('/asset/deleteAssetDetailGroup?id=' + id, apiConfig.create());
        }

    };
}]);