﻿// registration web service proxy
webservices.factory('recategoryService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        addAccountRecategory: function (recategory) {
            return $http.post('/AccountRecategory',recategory, apiConfig.create());
        },
        deleteAccountRecategory: function (recategoryIds) {
            return $http.post('/AccountRecategory/Delete', recategoryIds, apiConfig.create());
        },
        updateAccountRecategory: function (recategory) {
            return $http.put('/AccountRecategory', recategory, apiConfig.create());
        },
        getRecategoriesByAccountCode: function (accountCode) {
            return $http.get('/AccountRecategory?accountCode=' + accountCode, apiConfig.create());
        },
    };
}]);