﻿// web service proxy for voucher
webservices.factory('voucherService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        getVouchersByAccountCode: function (accountCode) {
            return $http.get('/voucher?accountCode=' + accountCode, apiConfig.create());
        },
        getRecategoryVouchers: function (accountRecategoryId) {
            return $http.get('/voucher?accountRecategoryId=' + accountRecategoryId, apiConfig.create());
        },
    };
}]);