﻿citModule.directive('dataImportDraftAccountMapping', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportInvoiceRecord.ctor()...');

        return {
            restrict: 'E',
            template: '<import-cit-draft-account-mapping service-type-id="serviceTypeId" period-id="periodId"></import-cit-draft-account-mapping>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.CIT;
            }
        };

    }
]);