﻿frameworkModule.directive('appSummary', ['$log', '$state', 'region', 'enums',
    function ($log, $state, region, enums) {
        'use strict';

        $log.debug('appOverview.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/framework/app-summary/app-summary.html' + '?_=' + Math.random(),
            replace: true,
            scope: {},
            controller: 'appSummaryController',
            link: function ($scope, $element, $attr) {
                //$axure.utils.getTransparentGifPath = function () { return '~/resources/transparent.gif'; };
                //$axure.utils.getOtherPath = function () { return '~/resources/Other.html'; };
                //$axure.utils.getReloadPath = function () { return '~/resources/reload.html'; };
                //unbind event before bind event
                //$('#u326,#u331,#u968').off();
                $scope.u113TabClk = function (visiable, hide0, hide1, removeClassArray) {

                    $('#' + visiable).css({ 'display': 'block', 'visibility': 'visible' });
                    $('#' + hide0).css({ 'display': 'none', 'visibility': 'hidden', 'position': 'absolute' });
                    $('#' + hide1).css({ 'display': 'none', 'visibility': 'hidden', 'position': 'absolute' });
                    $('#' + removeClassArray[0]).addClass('u113_tab-content_click');
                    for (var i = 1; i < removeClassArray.length; i++) {
                        $('#' + removeClassArray[i]).removeClass('u113_tab-content_click');
                    }
                };
                
                $scope.innerTabClk = function (visiables, hides) {
                    var visiableArray = visiables.split(',');
                    visiableArray.forEach(function (visiable) {
                        $('#' + visiable).css({ 'display': 'block', 'visibility': 'visible' });
                    });
                    for (var i = 0; i < hides.length; i++) {
                        $('#' + hides[i]).css({ 'display': 'none', 'visibility': 'hidden' });
                    }

                };
                $scope.showOrHide = function (ele) {
                    var display = $('#' + ele).is(':visible');
                    if (display) {
                        $('#' + ele).css({ 'display': 'none', 'visibility': 'hidden' });
                    } else {
                        $('#' + ele).css({ 'display': 'block', 'visibility': 'visible' });
                    }
                };

                $scope.show = function (ele) {
                    $('#' + ele).css({ 'display': 'block', 'visibility': 'visible' });
                };
                $scope.hide = function (ele) {
                    $('#' + ele).css({ 'display': 'none', 'visibility': 'hidden' });
                };

                $scope.goTaxRisk = function () {
                    $state.go('RiskPanel');
                };

                $scope.getYPDemoProjects();

            }
        };
    }
]);