﻿vatModule.directive('vatImportJournalEntry', ['$log', 'enums', 'vatSessionService',
    function ($log, enums, vatSessionService) {
        'use strict';
        $log.debug('vatImportJournalEntry.ctor()...');

        return {
            restrict: 'E',
            template: '<import-journal-entry service-type-id="serviceTypeId" period-id="periodId"></import-journal-entry>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = vatSessionService.month;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };
    }
]);