package pwc.taxtech.atms.constant.enums;

public enum EnumValidationType {
    TrialBalance (0),
    InputVoice (1),
    OutputVoice (2),
    ErpDuplicate (3), //重复数据
    ErpBasicCheck (4),//基础数据校验
    ErpCorrect (5),//数据正确性
    JournalEntry (6),
    InputVoiceItem (7),
    CustomInvoice (8),
    AccountMapping (9),
    InvoiceMapping (10),
    VoucherMapping (11);

    private Integer code;

    EnumValidationType(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }
}
