package pwc.taxtech.atms.controller;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import pwc.taxtech.atms.dto.input.CamelPagingResultDto;
import pwc.taxtech.atms.dto.revenueDetail.RevenueDetailParam;
import pwc.taxtech.atms.dto.revenueDetail.RevenueDetailResult;
import pwc.taxtech.atms.service.impl.RevenueDetailService;

import javax.annotation.Resource;

@RestController
@RequestMapping(value = "api/v1/revenueDetail")
public class RevenueDetailController extends BaseController {

    @Resource
    private RevenueDetailService revenueDetailService;

    @PostMapping("queryPage")
    public CamelPagingResultDto<RevenueDetailResult> queryPage(@RequestBody RevenueDetailParam param) {
        return new CamelPagingResultDto<>(revenueDetailService.queryPage(param));
    }


}
