package pwc.taxtech.atms.dto;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 档案列表查询传输对象
 */
public class TaxDocumentDto {

    private int currentPage = 1;

    private int pageSize = 10;

    private String fileAttr;//档案属性

    private Long fileTypeId;//文件类型的id

    private String fileType;//档案类型

    private String fileName;//档案名称

    private String businessLine;//业务线

    private String companyId;//公司代码Id

    private String companyName;//公司名称

    private String taxType;//税种

    private Date fileBeginTime;//文件生效日期_开始

    private Date fileEndTTime;//文件生效日期_结束

    private Date effectiveBeginTime;//到期日_开始

    private Date effectiveEndTime;//到期日_结束

    private String storageArea;//实物存放地点

    private String remark;//档案备注

    private String filePositionUrl;//文件存储的位置

    private String creator;//创建人

    private Date uploadBeginTime;//上传日期_开始

    private Date uploadEndTime;//上传日期_结束

    private String keeper;//实物保管人

    private String physicalIndexNumber;//实物索引号

    private Integer ownTime;//所属期间

    private Integer auditStatus;//审核状态

    private String fileOriginalName;//上传文件原名

    private List<Long> ids = new ArrayList<>();//批量删除id

    private String path;//文件上传路径

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public List<Long> getIds() {
        return ids;
    }

    public void setIds(List<Long> ids) {
        this.ids = ids;
    }

    public String getFileOriginalName() {
        return fileOriginalName;
    }

    public void setFileOriginalName(String fileOriginalName) {
        this.fileOriginalName = fileOriginalName;
    }

    public Date getFileBeginTime() {
        return fileBeginTime;
    }

    public void setFileBeginTime(Date fileBeginTime) {
        this.fileBeginTime = fileBeginTime;
    }

    public Date getFileEndTTime() {
        return fileEndTTime;
    }

    public void setFileEndTTime(Date fileEndTTime) {
        this.fileEndTTime = fileEndTTime;
    }

    public Date getEffectiveBeginTime() {
        return effectiveBeginTime;
    }

    public void setEffectiveBeginTime(Date effectiveBeginTime) {
        this.effectiveBeginTime = effectiveBeginTime;
    }

    public Date getEffectiveEndTime() {
        return effectiveEndTime;
    }

    public void setEffectiveEndTime(Date effectiveEndTime) {
        this.effectiveEndTime = effectiveEndTime;
    }

    public String getPhysicalIndexNumber() {
        return physicalIndexNumber;
    }

    public void setPhysicalIndexNumber(String physicalIndexNumber) {
        this.physicalIndexNumber = physicalIndexNumber;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getKeeper() {
        return keeper;
    }

    public void setKeeper(String keeper) {
        this.keeper = keeper;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getUploadBeginTime() {
        return uploadBeginTime;
    }

    public void setUploadBeginTime(Date uploadBeginTime) {
        this.uploadBeginTime = uploadBeginTime;
    }

    public Date getUploadEndTime() {
        return uploadEndTime;
    }

    public void setUploadEndTime(Date uploadEndTime) {
        this.uploadEndTime = uploadEndTime;
    }

    public String getFileAttr() {
        return fileAttr;
    }

    public void setFileAttr(String fileAttr) {
        this.fileAttr = fileAttr;
    }

    public Long getFileTypeId() {
        return fileTypeId;
    }

    public void setFileTypeId(Long fileTypeId) {
        this.fileTypeId = fileTypeId;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getBusinessLine() {
        return businessLine;
    }

    public void setBusinessLine(String businessLine) {
        this.businessLine = businessLine;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Integer getOwnTime() {
        return ownTime;
    }

    public void setOwnTime(Integer ownTime) {
        this.ownTime = ownTime;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getTaxType() {
        return taxType;
    }

    public void setTaxType(String taxType) {
        this.taxType = taxType;
    }

    public String getStorageArea() {
        return storageArea;
    }

    public void setStorageArea(String storageArea) {
        this.storageArea = storageArea;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getFilePositionUrl() {
        return filePositionUrl;
    }

    public void setFilePositionUrl(String filePositionUrl) {
        this.filePositionUrl = filePositionUrl;
    }

    public int getCurrentPage() {
        return currentPage;
    }

    public void setCurrentPage(int currentPage) {
        this.currentPage = currentPage;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }
}
