package pwc.taxtech.atms.dto.approval;

import org.activiti.engine.task.Task;

public class ApprovalTask {
    private String taskId;
    private String name;
    private String assignee;
    private String executionId;
    private String processInstanceId;
    private String processDefinitionId;

    @Override
    public String toString() {
        return "ApprovalTask{" +
                "taskId='" + taskId + '\'' +
                ", name='" + name + '\'' +
                ", assignee='" + assignee + '\'' +
                ", executionId='" + executionId + '\'' +
                ", processInstanceId='" + processInstanceId + '\'' +
                ", processDefinitionId='" + processDefinitionId + '\'' +
                '}';
    }

    public ApprovalTask copyfrom(Task task) {
        setTaskId(task.getId());
        setName(task.getName());
        setAssignee(task.getAssignee());
        setExecutionId(task.getExecutionId());
        setProcessInstanceId(task.getProcessInstanceId());
        setProcessDefinitionId(task.getProcessDefinitionId());
        return this;
    }

    public String getTaskId() {
        return this.taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAssignee() {
        return this.assignee;
    }

    public void setAssignee(String assignee) {
        this.assignee = assignee;
    }

    public String getExecutionId() {
        return this.executionId;
    }

    public void setExecutionId(String executionId) {
        this.executionId = executionId;
    }

    public String getProcessInstanceId() {
        return this.processInstanceId;
    }

    public void setProcessInstanceId(String processInstanceId) {
        this.processInstanceId = processInstanceId;
    }

    public String getProcessDefinitionId() {
        return this.processDefinitionId;
    }

    public void setProcessDefinitionId(String processDefinitionId) {
        this.processDefinitionId = processDefinitionId;
    }
}
