package pwc.taxtech.atms.dto.epaccount;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;
import java.util.Map;

public class AccountMapDto {
    @JsonProperty("orgID")
    public String orgId;
    @JSONField(name = "EnterpriseAccountCodes")
    public String[] enterpriseAccountCodes;
    @JSONField(name = "StandardAccountCode")
    public String standardAccountCode;
    @JSONField(name = "ParentAccountMappingResult")
    public Map<String, List<String>> parentAccountMappingResult;
    @JSONField(name = "AccountSetID")
    public String accountSetId;

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String[] getEnterpriseAccountCodes() {
        return enterpriseAccountCodes;
    }

    public void setEnterpriseAccountCodes(String[] enterpriseAccountCodes) {
        this.enterpriseAccountCodes = enterpriseAccountCodes;
    }

    public String getStandardAccountCode() {
        return standardAccountCode;
    }

    public void setStandardAccountCode(String standardAccountCode) {
        this.standardAccountCode = standardAccountCode;
    }

    public Map<String, List<String>> getParentAccountMappingResult() {
        return parentAccountMappingResult;
    }

    public void setParentAccountMappingResult(Map<String, List<String>> parentAccountMappingResult) {
        this.parentAccountMappingResult = parentAccountMappingResult;
    }

    public String getAccountSetId() {
        return accountSetId;
    }

    public void setAccountSetId(String accountSetId) {
        this.accountSetId = accountSetId;
    }
}
