package pwc.taxtech.atms.dto.revenuconf;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.common.util.PwCIdSerialize;
import pwc.taxtech.atms.constant.enums.RevenueConfEnum;
import pwc.taxtech.atms.vat.entity.RevenueConfig;

public class RevenueConfResult extends RevenueConfig {

    @JsonSerialize(using = PwCIdSerialize.class)
    private Long id;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    public String getAccountTypeStr() {
        return RevenueConfEnum.AccountType.MAPPING.get(this.getAccountType());
    }

    public String getTaxBaseStr() {
        return RevenueConfEnum.TaxBase.MAPPING.get(this.getTaxBase());
    }

    public String getTaxTypeStr() {
        return RevenueConfEnum.TaxType.MAPPING.get(this.getTaxType());
    }

    public String getRevenueTypeStr() {

        return RevenueConfEnum.RevenueType.MAPPING.get(this.getRevenueType());
    }

    public String getStatusStr() {
        return RevenueConfEnum.Status.MAPPING.get(this.getStatus());
    }

    public String getIdStr() {
        return this.getId().toString();
    }
}
