package pwc.taxtech.atms.dto.user;

import com.fasterxml.jackson.annotation.JsonProperty;
import pwc.taxtech.atms.dto.navtree.DevTreeDto;

import java.util.List;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\UserRoleDimensionValueDto.cs
 */
public class UserOrganizationDto {
    @JsonProperty("userID")
    private String userId;

    private String userName;
    @JsonProperty("organizationID")
    private String organizationId;

    private String organizationName;

    private Boolean isAccessible;

    private Boolean hasOriginalRole;

    private List<DimensionUser> dimensionUserList;

    private List<DevTreeDto> permissionTreeList;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Boolean getIsAccessible() {
        return isAccessible;
    }

    public void setIsAccessible(Boolean isAccessible) {
        this.isAccessible = isAccessible;
    }

    public Boolean getHasOriginalRole() {
        return hasOriginalRole;
    }

    public void setHasOriginalRole(Boolean hasOriginalRole) {
        this.hasOriginalRole = hasOriginalRole;
    }

    public List<DimensionUser> getDimensionUserList() {
        return dimensionUserList;
    }

    public void setDimensionUserList(List<DimensionUser> dimensionUserList) {
        this.dimensionUserList = dimensionUserList;
    }

    public List<DevTreeDto> getPermissionTreeList() {
        return permissionTreeList;
    }

    public void setPermissionTreeList(List<DevTreeDto> permissionTreeList) {
        this.permissionTreeList = permissionTreeList;
    }

}
