package pwc.taxtech.atms.dto.user;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @see PwC.Tax.Tech.Atms.Application.Dto\TaxAdminDto\UserRoleDimensionValueDto.cs
 */
public class UserRoleDimensionValueDto {

    // 主键
    @JsonProperty("ID")
    private String id;

    // 纬度值Id
    @JsonProperty("dimensionValueID")
    private String dimensionValueId;

    // 纬度值
    private String dimensionValueName;
    @JsonProperty("dimensionID")
    private String dimensionId;

    // 维度名称
    private String dimensionName;

    @JsonProperty("userID")
    private String userId;

    // 用户名
    private String userName;
    @JsonProperty("roleID")
    private String roleId;

    private String roleName;

    private Boolean isAccessible;
    private Boolean isHeritable;

    private Boolean hasOriginalRole;
    @JsonProperty("organizationID")
    private String organizationId;

    private String organizationName;

    // admin VAT ...
    private String serviceTypeName;
    @JsonProperty("serviceTypeID")
    private String serviceTypeId;
    // 特殊角色，公共角色
    private String roleCatetoryName;

    private Boolean isAdd;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDimensionValueId() {
        return dimensionValueId;
    }

    public void setDimensionValueId(String dimensionValueId) {
        this.dimensionValueId = dimensionValueId;
    }

    public String getDimensionValueName() {
        return dimensionValueName;
    }

    public void setDimensionValueName(String dimensionValueName) {
        this.dimensionValueName = dimensionValueName;
    }

    public String getDimensionId() {
        return dimensionId;
    }

    public void setDimensionId(String dimensionId) {
        this.dimensionId = dimensionId;
    }

    public String getDimensionName() {
        return dimensionName;
    }

    public void setDimensionName(String dimensionName) {
        this.dimensionName = dimensionName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public Boolean getIsAccessible() {
        return isAccessible;
    }

    public void setIsAccessible(Boolean isAccessible) {
        this.isAccessible = isAccessible;
    }

    public Boolean getIsHeritable() {
        return isHeritable;
    }

    public void setIsHeritable(Boolean isHeritable) {
        this.isHeritable = isHeritable;
    }

    public Boolean getHasOriginalRole() {
        return hasOriginalRole;
    }

    public void setHasOriginalRole(Boolean hasOriginalRole) {
        this.hasOriginalRole = hasOriginalRole;
    }

    public String getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public String getServiceTypeName() {
        return serviceTypeName;
    }

    public void setServiceTypeName(String serviceTypeName) {
        this.serviceTypeName = serviceTypeName;
    }

    public String getServiceTypeId() {
        return serviceTypeId;
    }

    public void setServiceTypeId(String serviceTypeId) {
        this.serviceTypeId = serviceTypeId;
    }

    public String getRoleCatetoryName() {
        return roleCatetoryName;
    }

    public void setRoleCatetoryName(String roleCatetoryName) {
        this.roleCatetoryName = roleCatetoryName;
    }

    public Boolean getIsAdd() {
        return isAdd;
    }

    public void setIsAdd(Boolean isAdd) {
        this.isAdd = isAdd;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((id == null) ? 0 : id.hashCode());
        result = prime * result + ((dimensionId == null) ? 0 : dimensionId.hashCode());
        result = prime * result + ((dimensionName == null) ? 0 : dimensionName.hashCode());
        result = prime * result + ((dimensionValueId == null) ? 0 : dimensionValueId.hashCode());
        result = prime * result + ((dimensionValueName == null) ? 0 : dimensionValueName.hashCode());
        result = prime * result + ((hasOriginalRole == null) ? 0 : hasOriginalRole.hashCode());
        result = prime * result + ((isAccessible == null) ? 0 : isAccessible.hashCode());
        result = prime * result + ((isAdd == null) ? 0 : isAdd.hashCode());
        result = prime * result + ((isHeritable == null) ? 0 : isHeritable.hashCode());
        result = prime * result + ((organizationId == null) ? 0 : organizationId.hashCode());
        result = prime * result + ((organizationName == null) ? 0 : organizationName.hashCode());
        result = prime * result + ((roleCatetoryName == null) ? 0 : roleCatetoryName.hashCode());
        result = prime * result + ((roleId == null) ? 0 : roleId.hashCode());
        result = prime * result + ((roleName == null) ? 0 : roleName.hashCode());
        result = prime * result + ((serviceTypeId == null) ? 0 : serviceTypeId.hashCode());
        result = prime * result + ((serviceTypeName == null) ? 0 : serviceTypeName.hashCode());
        result = prime * result + ((userId == null) ? 0 : userId.hashCode());
        result = prime * result + ((userName == null) ? 0 : userName.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        UserRoleDimensionValueDto other = (UserRoleDimensionValueDto) obj;
        if (id == null) {
            if (other.id != null)
                return false;
        } else if (!id.equals(other.id))
            return false;
        if (dimensionId == null) {
            if (other.dimensionId != null)
                return false;
        } else if (!dimensionId.equals(other.dimensionId))
            return false;
        if (dimensionName == null) {
            if (other.dimensionName != null)
                return false;
        } else if (!dimensionName.equals(other.dimensionName))
            return false;
        if (dimensionValueId == null) {
            if (other.dimensionValueId != null)
                return false;
        } else if (!dimensionValueId.equals(other.dimensionValueId))
            return false;
        if (dimensionValueName == null) {
            if (other.dimensionValueName != null)
                return false;
        } else if (!dimensionValueName.equals(other.dimensionValueName))
            return false;
        if (hasOriginalRole == null) {
            if (other.hasOriginalRole != null)
                return false;
        } else if (!hasOriginalRole.equals(other.hasOriginalRole))
            return false;
        if (isAccessible == null) {
            if (other.isAccessible != null)
                return false;
        } else if (!isAccessible.equals(other.isAccessible))
            return false;
        if (isAdd == null) {
            if (other.isAdd != null)
                return false;
        } else if (!isAdd.equals(other.isAdd))
            return false;
        if (isHeritable == null) {
            if (other.isHeritable != null)
                return false;
        } else if (!isHeritable.equals(other.isHeritable))
            return false;
        if (organizationId == null) {
            if (other.organizationId != null)
                return false;
        } else if (!organizationId.equals(other.organizationId))
            return false;
        if (organizationName == null) {
            if (other.organizationName != null)
                return false;
        } else if (!organizationName.equals(other.organizationName))
            return false;
        if (roleCatetoryName == null) {
            if (other.roleCatetoryName != null)
                return false;
        } else if (!roleCatetoryName.equals(other.roleCatetoryName))
            return false;
        if (roleId == null) {
            if (other.roleId != null)
                return false;
        } else if (!roleId.equals(other.roleId))
            return false;
        if (roleName == null) {
            if (other.roleName != null)
                return false;
        } else if (!roleName.equals(other.roleName))
            return false;
        if (serviceTypeId == null) {
            if (other.serviceTypeId != null)
                return false;
        } else if (!serviceTypeId.equals(other.serviceTypeId))
            return false;
        if (serviceTypeName == null) {
            if (other.serviceTypeName != null)
                return false;
        } else if (!serviceTypeName.equals(other.serviceTypeName))
            return false;
        if (userId == null) {
            if (other.userId != null)
                return false;
        } else if (!userId.equals(other.userId))
            return false;
        if (userName == null) {
            if (other.userName != null)
                return false;
        } else if (!userName.equals(other.userName))
            return false;
        return true;
    }

}
