package pwc.taxtech.atms.dto.vatdto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import pwc.taxtech.atms.common.util.PwCIdSerialize;
import pwc.taxtech.atms.vat.entity.PeriodFormulaBlock;

public class FormulaFormlaBlockDto extends PeriodFormulaBlock {

    @JsonSerialize(using = PwCIdSerialize.class)
    private Long id;

    @JsonSerialize(using = PwCIdSerialize.class)
    private Long reportId;

    @JsonSerialize(using = PwCIdSerialize.class)
    private Long cellTemplateId;

    @JsonSerialize(using = PwCIdSerialize.class)
    private Long dataSourceId;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public void setId(Long id) {
        this.id = id;
    }

    @Override
    public Long getReportId() {
        return reportId;
    }

    @Override
    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }

    @Override
    public Long getCellTemplateId() {
        return cellTemplateId;
    }

    @Override
    public void setCellTemplateId(Long cellTemplateId) {
        this.cellTemplateId = cellTemplateId;
    }

    @Override
    public Long getDataSourceId() {
        return dataSourceId;
    }

    @Override
    public void setDataSourceId(Long dataSourceId) {
        this.dataSourceId = dataSourceId;
    }
}
