package pwc.taxtech.atms.dto.vatdto;

import pwc.taxtech.atms.anno.ExcelCell;

import java.io.Serializable;
import java.math.BigDecimal;

public class InputInvoiceDetailExportDto implements Serializable {

    @ExcelCell(index=1)
    private Integer periodId;

    @ExcelCell(index=2)
    private String invoiceCode;

    @ExcelCell(index=3)
    private String invoiceNumber;

    @ExcelCell(index=4)
    private BigDecimal amount;

    @ExcelCell(index=5)
    private BigDecimal taxAmount;

    @ExcelCell(index=6)
    private String taxRate;

    @ExcelCell(index=7)
    private String productionName;

    public Integer getPeriodId() {
        return periodId;
    }

    public void setPeriodId(Integer periodId) {
        this.periodId = periodId;
    }

    public String getInvoiceCode() {
        return invoiceCode;
    }

    public void setInvoiceCode(String invoiceCode) {
        this.invoiceCode = invoiceCode;
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public String getProductionName() {
        return productionName;
    }

    public void setProductionName(String productionName) {
        this.productionName = productionName;
    }
}