package pwc.taxtech.atms.exception;

import org.springframework.http.ResponseEntity;

public class BadParameterException extends ApiException {
    public BadParameterException() {
        super();
    }

    public BadParameterException(String message) {
        super(message);
    }

    public BadParameterException(String message, Throwable cause) {
        super(message, cause);
    }

    public BadParameterException(Throwable cause) {
        super(cause);
    }

    @Override
    public <Object> ResponseEntity handle() {
        return ResponseEntity.badRequest().build();
    }
}
