package pwc.taxtech.atms.exception;

public class Exceptions {
   public static final FormulaException BB_CELL_TEMP_NULL = new FormulaException("cell template group is null or empty");
   public static final FormulaException BB_REPORT_NULL = new FormulaException("cell report is null");
   public static final FormulaException BB_CELL_DATA_NULL = new FormulaException("cell data is null");
   public static final FormulaException BB_CELL_DATA_EMPTY = new FormulaException("cell data is empty");
   public static final FormulaException PROJECT_EMPTY = new FormulaException("project is empty");
   public static final FormulaException BAD_BBVO_PARAMS = new FormulaException("bad params for bb fromular express data");
   public static final ApiException EMPTY_PROJECT_PARAM = new BadParameterException("project is empty");
   public static final ApiException EMPTY_PRIODDATE_PARAM = new BadParameterException("period data is empty");
   public static final ApiException NOT_FOUND_REPORT_EXCEPTION =  new NotFoundException("not found report");
   public static final ApiException NOT_FOUND_TEMPLATE_EXCEPTION =  new NotFoundException("not found template");
   public static final ApiException REPORT_HAS_COMMIT_EXCEPTION = new AlreadyExistsException("report approval has commit");
   public static final ApiException SERVER_ERROR_EXCEPTION = new ServerErrorException("server error exception");
   public static final ApiException TASK_HAS_BEGINNING = new ConflictException("task has beginning ..");
   public static final ApiException PROJECT_EMPTY_EXCEPTION = new BadParameterException("projectId is empty");
   public static final ApiException PROJECT_PROJECT_EXCEPTION = new NotFoundException("not found project");
   public static final ApiException NOT_FOUND_TEMPLATE_GROUP_EXCEPTION = new NotFoundException("not found template group");
   public static final ApiException NOT_FOUND_EXCEPTION = new NotFoundException("not found resources");
   public static final ApiException REPORT_IN_PROCESS_OR_AGREED_EXCEPTION = new PreconditionFailedException("report in approval or agreed result");
   public static final FormulaException PROJECT_NOT_FOUND = new FormulaException("project not found");;
   public static final FormulaException PSUM_CELL_TEMP_NULL = new FormulaException("cell template group is null or empty");
   public static final ApiException NOT_FOUND_INSTANCE_EXCEPTION = new NotFoundException("not found instance");
   public static final FormulaException parameterError = new FormulaException("formula parameter is error");
   public static final FormulaException IMPORT_TEMPLATE_HEADER_ERROR = new FormulaException("导入模板不匹配");
}
