package pwc.taxtech.atms.service.impl;

import org.springframework.stereotype.Service;
import pwc.taxtech.atms.entity.Dictionary;
import pwc.taxtech.atms.entity.DictionaryExample;

import java.util.List;

@Service
public class DictionaryServiceImpl extends AbstractService {

    public List<Dictionary> getDictionaryByCode(String code) {
        DictionaryExample example = new DictionaryExample();
        example.createCriteria().andCodeEqualTo(code).andIsActiveEqualTo(true);
        example.setOrderByClause("OrderIndex");
        return dictionaryMapper.selectByExample(example);
    }

}
