package pwc.taxtech.atms.service.impl;

import org.springframework.stereotype.Service;
import pwc.taxtech.atms.dpo.ModelProfileDto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class ModelConfigurationServiceImpl extends AbstractService {

    public List<ModelProfileDto> getModelListByIndustry(String serviceTypeId, String industryId) {
        Map<String, Object> map = new HashMap<>(2);
        map.put("serviceTypeId", serviceTypeId);
        map.put("industryId", industryId);
        return modelConfigMapper.getModelListByIndustry(map);
    }
}
