package pwc.taxtech.atms.vat.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import pwc.taxtech.atms.vat.dao.VatEnterpriseAccountMapper;
import pwc.taxtech.atms.vat.entity.PeriodEnterpriseAccount;
import pwc.taxtech.atms.vat.entity.PeriodEnterpriseAccountExample;
import pwc.taxtech.atms.vat.entity.VatEnterpriseAccount;
import pwc.taxtech.atms.vat.entity.VatEnterpriseAccountExample;

import java.util.List;

@Service
public class VatEnterpriseAccountDao {
    @Autowired
    PeriodEnterpriseAccountMapper periodEnterpriseAccountMapper;

    public List<PeriodEnterpriseAccount> getListByAccountCode(String accountCode) {
        PeriodEnterpriseAccountExample example = new PeriodEnterpriseAccountExample();
        example.createCriteria().andAcctCodeEqualTo(accountCode);
        return periodEnterpriseAccountMapper.selectByExample(example);
    }
}
