package pwc.taxtech.atms.vat.service.impl.report.functions;

import org.apache.poi.ss.formula.OperationEvaluationContext;
import org.apache.poi.ss.formula.eval.NumberEval;
import org.apache.poi.ss.formula.eval.ValueEval;
import org.apache.poi.ss.formula.functions.FreeRefFunction;

/// <summary>
/// 借方期初
/// </summary>
/// <param name="acctType"></param>
/// <param name="acctCode"></param>
/// <param name="year"></param>
/// <param name="period"></param>
/// <returns></returns>
public class JFQC extends FunctionBase implements FreeRefFunction {
    public JFQC(FormulaContext formulaContext) {
        super(formulaContext);
    }

    @Override
    public ValueEval evaluate(ValueEval[] args, OperationEvaluationContext ec) {
        if (args.length < 4) {
            return NumberEval.ZERO;
        }

        Integer acctType = getIntParam(args[0],ec);
        String acctCode = getStringParam(args[1],ec);
        Integer year = getIntParam(args[2],ec);
        Integer period = getIntParam(args[3],ec);



        return null;
    }
}
