package pwc.taxtech.atms.dpo;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

public class OrgBasicDto {
    //@JsonProperty("ID")
    private String id;
    private String name;
    private String code;
    @JsonProperty("parentID")
    private String parentId;
    private String taxPayerNumber;
    private String taxPayerNumberExtra;
    @JsonProperty("regionID")
    private String regionId; //City
    private String regionName;
    @JsonProperty("structureID")
    private String structureId;
    private String structureName;
    @JsonProperty("industryID")
    private String industryId;
    private String industryName;
    private String areaName;
    @JsonProperty("areaID")
    private String areaId;
    @JsonProperty("businessUnitID")
    private String businessUnitId;
    private String businessUnitName;
    private Boolean isActive;

    private String clientCode;

    private Integer pLevel;

    private Date createTime;

    private Date updateTime;

    private String englishName;

    private String abbreviation;

    private String invoiceType;

    private String legalPersonName;

    private String manufactureAddress;

    private String registerAddress;

    private String bankAccountName;

    private String bankAccountNumber;

    private String phoneNumber;

    private String registrationType;

    private String remark;

    private String vehicleRoutingLocation;

    private String ratepayer;

    private String address;

    private Date foundationDate;

    private Date registrationDate;

    private String registrationLocation;

    private String registrationCapital;

    private Date businessAllottedTimeFrom;

    private Date businessAllottedTimeTo;

    private String legalCode;

    private String vehicleroutinglocation;

    private String businessScope;

    private String registrationYpe;

    private String architectureType;

    private Integer numOfBranches;

    private Boolean apiUpdateFlag;

    private Date effecTimeOfGeneralTaxpayers;

    private String registrationLocationEn;

    private String paidInCapital;

    private Date logoutTime;

    private Date generalTaxPayerEffectiveTime;

    private Boolean oversea;

    private String regStatus;

    private String nationalEconomicIndustry;

    private Boolean engageNationalProhibitIndustry;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getTaxPayerNumber() {
        return taxPayerNumber;
    }

    public void setTaxPayerNumber(String taxPayerNumber) {
        this.taxPayerNumber = taxPayerNumber;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getStructureId() {
        return structureId;
    }

    public void setStructureId(String structureId) {
        this.structureId = structureId;
    }

    public String getStructureName() {
        return structureName;
    }

    public void setStructureName(String structureName) {
        this.structureName = structureName;
    }

    public String getIndustryId() {
        return industryId;
    }

    public void setIndustryId(String industryId) {
        this.industryId = industryId;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getBusinessUnitId() {
        return businessUnitId;
    }

    public void setBusinessUnitId(String businessUnitId) {
        this.businessUnitId = businessUnitId;
    }

    public String getBusinessUnitName() {
        return businessUnitName;
    }

    public void setBusinessUnitName(String businessUnitName) {
        this.businessUnitName = businessUnitName;
    }

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public String getTaxPayerNumberExtra() {
        return taxPayerNumberExtra;
    }

    public void setTaxPayerNumberExtra(String taxPayerNumberExtra) {
        this.taxPayerNumberExtra = taxPayerNumberExtra;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getRegistrationType() {
        return registrationType;
    }

    public void setRegistrationType(String registrationType) {
        this.registrationType = registrationType;
    }

    public String getLegalPersonName() {
        return legalPersonName;
    }

    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    public Integer getpLevel() {
        return pLevel;
    }

    public void setpLevel(Integer pLevel) {
        this.pLevel = pLevel;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getAbbreviation() {
        return abbreviation;
    }

    public void setAbbreviation(String abbreviation) {
        this.abbreviation = abbreviation;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getManufactureAddress() {
        return manufactureAddress;
    }

    public void setManufactureAddress(String manufactureAddress) {
        this.manufactureAddress = manufactureAddress;
    }

    public String getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(String registerAddress) {
        this.registerAddress = registerAddress;
    }

    public String getBankAccountName() {
        return bankAccountName;
    }

    public void setBankAccountName(String bankAccountName) {
        this.bankAccountName = bankAccountName;
    }

    public String getBankAccountNumber() {
        return bankAccountNumber;
    }

    public void setBankAccountNumber(String bankAccountNumber) {
        this.bankAccountNumber = bankAccountNumber;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getVehicleRoutingLocation() {
        return vehicleRoutingLocation;
    }

    public void setVehicleRoutingLocation(String vehicleRoutingLocation) {
        this.vehicleRoutingLocation = vehicleRoutingLocation;
    }

    public String getRatepayer() {
        return ratepayer;
    }

    public void setRatepayer(String ratepayer) {
        this.ratepayer = ratepayer;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Date getFoundationDate() {
        return foundationDate;
    }

    public void setFoundationDate(Date foundationDate) {
        this.foundationDate = foundationDate;
    }

    public Date getRegistrationDate() {
        return registrationDate;
    }

    public void setRegistrationDate(Date registrationDate) {
        this.registrationDate = registrationDate;
    }

    public String getRegistrationLocation() {
        return registrationLocation;
    }

    public void setRegistrationLocation(String registrationLocation) {
        this.registrationLocation = registrationLocation;
    }

    public String getRegistrationCapital() {
        return registrationCapital;
    }

    public void setRegistrationCapital(String registrationCapital) {
        this.registrationCapital = registrationCapital;
    }

    public Date getBusinessAllottedTimeFrom() {
        return businessAllottedTimeFrom;
    }

    public void setBusinessAllottedTimeFrom(Date businessAllottedTimeFrom) {
        this.businessAllottedTimeFrom = businessAllottedTimeFrom;
    }

    public Date getBusinessAllottedTimeTo() {
        return businessAllottedTimeTo;
    }

    public void setBusinessAllottedTimeTo(Date businessAllottedTimeTo) {
        this.businessAllottedTimeTo = businessAllottedTimeTo;
    }

    public String getLegalCode() {
        return legalCode;
    }

    public void setLegalCode(String legalCode) {
        this.legalCode = legalCode;
    }

    public String getVehicleroutinglocation() {
        return vehicleroutinglocation;
    }

    public void setVehicleroutinglocation(String vehicleroutinglocation) {
        this.vehicleroutinglocation = vehicleroutinglocation;
    }

    public String getRegistrationYpe() {
        return registrationYpe;
    }

    public void setRegistrationYpe(String registrationYpe) {
        this.registrationYpe = registrationYpe;
    }

    public String getArchitectureType() {
        return architectureType;
    }

    public void setArchitectureType(String architectureType) {
        this.architectureType = architectureType;
    }

    public Integer getNumOfBranches() {
        return numOfBranches;
    }

    public void setNumOfBranches(Integer numOfBranches) {
        this.numOfBranches = numOfBranches;
    }

    public Boolean getApiUpdateFlag() {
        return apiUpdateFlag;
    }

    public void setApiUpdateFlag(Boolean apiUpdateFlag) {
        this.apiUpdateFlag = apiUpdateFlag;
    }

    public Date getEffecTimeOfGeneralTaxpayers() {
        return effecTimeOfGeneralTaxpayers;
    }

    public void setEffecTimeOfGeneralTaxpayers(Date effecTimeOfGeneralTaxpayers) {
        this.effecTimeOfGeneralTaxpayers = effecTimeOfGeneralTaxpayers;
    }

    public String getRegistrationLocationEn() {
        return registrationLocationEn;
    }

    public void setRegistrationLocationEn(String registrationLocationEn) {
        this.registrationLocationEn = registrationLocationEn;
    }

    public String getPaidInCapital() {
        return paidInCapital;
    }

    public void setPaidInCapital(String paidInCapital) {
        this.paidInCapital = paidInCapital;
    }

    public Date getGeneralTaxPayerEffectiveTime() {
        return generalTaxPayerEffectiveTime;
    }

    public void setGeneralTaxPayerEffectiveTime(Date generalTaxPayerEffectiveTime) {
        this.generalTaxPayerEffectiveTime = generalTaxPayerEffectiveTime;
    }

    public Date getLogoutTime() {
        return logoutTime;
    }

    public void setLogoutTime(Date logoutTime) {
        this.logoutTime = logoutTime;
    }

    public Boolean getOversea() {
        return oversea;
    }

    public void setOversea(Boolean oversea) {
        this.oversea = oversea;
    }

    public String getRegStatus() {
        return regStatus;
    }

    public void setRegStatus(String regStatus) {
        this.regStatus = regStatus;
    }

    public String getNationalEconomicIndustry() {
        return nationalEconomicIndustry;
    }

    public void setNationalEconomicIndustry(String nationalEconomicIndustry) {
        this.nationalEconomicIndustry = nationalEconomicIndustry;
    }

    public Boolean getEngageNationalProhibitIndustry() {
        return engageNationalProhibitIndustry;
    }

    public void setEngageNationalProhibitIndustry(Boolean engageNationalProhibitIndustry) {
        this.engageNationalProhibitIndustry = engageNationalProhibitIndustry;
    }
}
