package pwc.taxtech.atms.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;

public class LoginOutputDto {

    private String apiHost;

    private Integer checkState;

    private Boolean isExternalUser;

    private String message;

    private AtmsTokenDto token;

    private WebUserDto user;

    private String userID;

    @JSONField(name = "ApiHost")
    @JsonProperty("ApiHost")
    public String getApiHost() {
        return apiHost;
    }

    @JSONField(name = "CheckState")
    @JsonProperty("CheckState")
    public Integer getCheckState() {
        return checkState;
    }

    public Boolean getIsExternalUser() {
        return isExternalUser;
    }

    @JSONField(name = "Message")
    @JsonProperty("Message")
    public String getMessage() {
        return message;
    }

    public AtmsTokenDto getToken() {
        return token;
    }

    @JSONField(name = "User")
    @JsonProperty("User")
    public WebUserDto getUser() {
        return user;
    }

    public String getUserID() {
        return userID;
    }

    public void setApiHost(String apiHost) {
        this.apiHost = apiHost;
    }

    public void setCheckState(Integer checkState) {
        this.checkState = checkState;
    }

    public void setIsExternalUser(Boolean isExternalUser) {
        this.isExternalUser = isExternalUser;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public void setToken(AtmsTokenDto token) {
        this.token = token;
    }

    public void setUser(WebUserDto user) {
        this.user = user;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

}
