/**
 * Created by Administrator on 2019/2/28 0028.
 */
infrastructureModule.factory('docManageService',
['$http', '$q', 'apiConfig', 'apiInterceptor','jqFetch',
function ($http, $q, apiConfig, apiInterceptor,jqFetch) {
    'use strict';
    return {
        getMainList: function (params) {
            return jqFetch.get(apiInterceptor.webApiHostUrl + '/fileTypes/selectList', params);
        },
        addFileType: function (params) {
            return jqFetch.post(apiInterceptor.webApiHostUrl + '/fileTypes/add', params);
        },
        editFileType: function (params) {
            return jqFetch.post(apiInterceptor.webApiHostUrl + '/fileTypes/edit', params);
        },
        exportTableData:function(params){
            $('#busy-indicator-container').show();
            var defer = $q.defer();
            var xhr = new XMLHttpRequest();
            xhr.onload = function(e) {
                var arraybuffer = xhr.response;
                console.info("arraybuffer:",arraybuffer);
                defer.resolve(arraybuffer,xhr.status,xhr.getAllResponseHeaders());
            };
            xhr.open("POST", apiInterceptor.webApiHostUrl + '/fileTypes/exportExcel', true);

            xhr.setRequestHeader("Authorization", apiInterceptor.tokenType + ' ' + apiInterceptor.apiToken());
            xhr.setRequestHeader("Content-Type", 'application/json;charset=UTF-8');
            xhr.responseType = "arraybuffer";
            xhr.send(JSON.stringify(params));

            return defer.promise;
        },
    };

}]);
