// web service proxy for role
webservices.factory('citPreviewDataService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
            //获取 预提分类数据源列表数据
            getCitPreviewSalaryAdvanceDataList : function(params){
                return $http.post('/citPreviewDataController/getSalaryAdvaceListData',{pageInfo : params.pagingOptions, periodStart : params.periodStart, periodEnd : params.periodEnd, period  : params.period}, apiConfig.createVat());
            },
            getCitPreviewEamDisposalDataList : function (params) {
                return $http.post('/citPreviewDataController/getCitPreviewEamDisposalDataList', {pageInfo : params.pagingOptions, periodStart : params.periodStart, periodEnd : params.periodEnd, organizationId : params.organizationId, period  : params.period, compensationSaleAmount: params.compensationSaleAmount, assetLabelNumber  : params.assetLabelNumber}, apiConfig.createVat());
            },
        exportData: function (params) {
            return $http.post('/citPreviewDataController/exportDataEAM', params, apiConfig.create({ responseType: 'arraybuffer' }));
        },
        exportDataSalaryAdvance : function (params) {
            return $http.post('/citPreviewDataController/exportDataSalaryAdvance', params, apiConfig.create({ responseType: 'arraybuffer' }));
        }
    };
}]);