﻿// web service proxy for org
webservices.factory('keywordmapService', ['$http', 'apiConfig', function ($http, apiConfig) {
    'use strict';
    return {
        get: function (type) {
            return $http.get('/keywordmap/get?type=' + type, apiConfig.create());
        },
        getsingle: function (type) {
            return $http.get('/keywordmap/getsingle?keywordId=' + type, apiConfig.create());
        },
        add: function (model) {
            return $http.post('/keywordmap/add', model, apiConfig.create());
        },
        update: function (model) {
            return $http.post('/keywordmap/update', model, apiConfig.create());
        },
        isactive: function (model) {
            return $http.post('/keywordmap/isactive', model, apiConfig.create());
        }
    };
}]);