﻿citModule.directive('dataImportAdjustmentTable', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportAdjustmentTable.ctor()...');

        return {
            restrict: 'E',
            template: '<import-adjustment-table service-type-id="serviceTypeId" period-id="periodId"></import-adjustment-table>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };

    }
]);