﻿citModule.directive('dataImportBalanceSheet', ['$log', 'enums',
    function ($log, enums) {
        'use strict';
        $log.debug('dataImportBalanceSheet.ctor()...');

        return {
            restrict: 'E',
            template: '<import-balance-sheet service-type-id="serviceTypeId" period-id="periodId"></import-balance-sheet>',
            scope: {},
            link: function (scope, element) {
                scope.periodId = enums.wholeYearPeriod.import;
                scope.serviceTypeId = enums.serviceType.VAT;
            }
        };

    }
]);