/**
 * Created by Administrator on 2019/2/28 0028.
 */
frameworkModule.factory('usrOperateLogService',
    ['$q', 'apiConfig', 'jqFetch','apiInterceptor',
        function ($q, apiConfig, jqFetch,apiInterceptor) {
            'use strict';
            return {
                docManageTypeLog: function (params) {
                    return jqFetch.get(apiInterceptor.webApiHostUrl + '/operLogFileTypes/selectList', params);
                },
                docManageListLog: function (params) {
                    return jqFetch.post(apiInterceptor.webApiHostUrl + '/operLogTaxDoc/selectListForLog', params);
                },
                docManageListLogExport:function(params){

                    $('#busy-indicator-container').show();
                    return exportFn(apiInterceptor.webApiHostUrl + '/operLogTaxDoc/exportExcel',params);
                },
                docManageTypeLogExport:function(params){

                    $('#busy-indicator-container').show();
                    return exportFn(apiInterceptor.webApiHostUrl + '/operLogFileTypes/exportExcel',params);
                    // http://etms.longi-silicon.com:8180//api/v1/operLogFileTypes/exportExcel
                }


            };

            function exportFn(url,params) {

                var defer = $q.defer();
                var xhr = new XMLHttpRequest();
                xhr.onload = function(e) {
                    var arraybuffer = xhr.response;
                    console.info("arraybuffer:",arraybuffer);
                    defer.resolve(arraybuffer,xhr.status,xhr.getAllResponseHeaders());
                };
                xhr.open("POST", url, true);

                xhr.setRequestHeader("Authorization", apiInterceptor.tokenType + ' ' + apiInterceptor.apiToken());
                xhr.setRequestHeader("Content-Type", 'application/json;charset=UTF-8');
                xhr.responseType = "arraybuffer";
                xhr.send(JSON.stringify(params));

                return defer.promise;
            }
        }]);