﻿invoiceModule.directive('outputReconciliationOverview', ['$log', 'SweetAlert', '$translate',
    function ($log, SweetAlert, $translate) {
        'use strict';
        $log.debug('outputReconciliationOverview.ctor()...');

        return {
            restrict: 'E',
            templateUrl: '/app/vat/output-invoice/output-reconciliation-overview/output-reconciliation-overview.html' + '?_=' + Math.random(),
            scope:{},
            controller: 'outputReconciliationOverviewController',
            link: function (scope, element) {

                //计算datagrid的高度
                scope.setInvoiceGridHeight = function () {
                    var pageHeight = $(document).height();
                    var pageSearchHeight = $('.page-search-container').outerHeight();
                    var subHeight = pageHeight - pageSearchHeight;
                    scope.incomeAxReportGridHeight = (subHeight - 160) / 2;
                    scope.taxFapiaoGridHeight = scope.incomeAxReportGridHeight;

                    try {
                        $('#income-ax-report-grid-container').dxDataGrid('instance').repaint();
                        $('#tax-fapiao-grid-container').dxDataGrid('instance').repaint();
                    }
                    catch (e) {
                        console.log(e);
                    }
                };

                $(window).on('resize', function () {
                    scope.setInvoiceGridHeight();
                });
            }//# end of link
        };
    }
]);